Create a participant issuer certificate
/v1/ecosystems/{ecosystemId}/participants/{participantId}/issuer-certificatesCreate a new issuer certificate for the specified participant.
The certificatePem field cannot be modified once the certificate is created.
To maintain trust continuity across a certificate rotation, provide linkCertificateInfo
to add this certificate as a successor to a previously uploaded certificate. Link
certificates can only be added when the certificate is created, not when it is updated.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/issuer-certificates" \ -H "Content-Type: application/json" \ -d '{ "certificatePem": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "certificateFingerprint": "string", "certificatePem": "string", "status": "Active", "docTypes": [ { "value": "string" } ], "linkCertificateInfo": { "issuerCertificateId": "23838a57-a5a0-4d6b-bac1-848c066a68a2", "certificatePem": "string", "certificateFingerprint": "string" }}How would you rate this page?